grk::ICodeStreamCompress Struct Referenceabstract

`#include <CodeStream.h>`

Inheritance diagram for grk::ICodeStreamCompress:

## Public Member Functions

virtual | ~ICodeStreamCompress ()=default
virtual bool | init (grk_cparameters *p_param, GrkImage *p_image)=0
virtual bool | start (void)=0
virtual bool | compress (grk_plugin_tile *tile)=0

## Constructor & Destructor Documentation

## ~ICodeStreamCompress()

virtual grk::ICodeStreamCompress::~ICodeStreamCompress | ( |  | ) |

virtual default

## Member Function Documentation

## compress()

virtual bool grk::ICodeStreamCompress::compress | ( | grk_plugin_tile * | tile | ) |

pure virtual

Implemented in grk::CodeStreamCompress, and grk::FileFormatCompress.

## init()

virtual bool grk::ICodeStreamCompress::init | ( | grk_cparameters * | p_param,
|  | GrkImage * | p_image
| ) |  |

pure virtual

Implemented in grk::CodeStreamCompress, and grk::FileFormatCompress.

## start()

virtual bool grk::ICodeStreamCompress::start | ( | void |  | ) |

pure virtual

Implemented in grk::CodeStreamCompress, and grk::FileFormatCompress.

The documentation for this struct was generated from the following file:

- CodeStream.h